Thanks Jeremy.

I was able to install it on another computer through RVM on Ubuntu
10.04.

This really makes me think I've done something on my computer. Perhaps
the wrong or old versions of packages.

Any one have any ideas which packages I should be checking? I'm pretty
lost when it comes to what is used when compiling ruby.

Thanks,
Wesley